unit csEvents;

{
  CzySkored-Base coded by sk0r / Czybik

  Features:
    - OpenGL
    - Exporttable
    - Usermsg
    - Events
    - Enginefuncs
    - PreS_DynamicSound
    - Log Class
    - Ini Class
    - Menu Class
    - Useful routines
    
  File: csEvents.pas
  Description: Event hooks

  Be sure to read the Readme.txt for more information
}

interface

//====================================================================
uses
  SysUtils,
  Windows,
  csUtilities,
  csVars,
  uEngFuncs;
//====================================================================


//====================================================================
var ocsb_HookEvent: procedure(name: PChar; args: event_args_s);cdecl;
var ocsb_Event_Usp: procedure(args: event_args_s);cdecl;
var ocsb_Event_Galil: procedure(args: event_args_s);cdecl;
var ocsb_Event_Mp5: procedure(args: event_args_s);cdecl;
var ocsb_Event_Ak47: procedure(args: event_args_s);cdecl;
var ocsb_Event_Aug: procedure(args: event_args_s);cdecl;
var ocsb_Event_Deagle: procedure(args: event_args_s);cdecl;
var ocsb_Event_G3sg1: procedure(args: event_args_s);cdecl;
var ocsb_Event_Sg550: procedure(args: event_args_s);cdecl;
var ocsb_Event_Glock18: procedure(args: event_args_s);cdecl;
var ocsb_Event_M249: procedure(args: event_args_s);cdecl;
var ocsb_Event_M3: procedure(args: event_args_s);cdecl;
var ocsb_Event_M4a1: procedure(args: event_args_s);cdecl;
var ocsb_Event_Mac10: procedure(args: event_args_s);cdecl;
var ocsb_Event_P90: procedure(args: event_args_s);cdecl;
var ocsb_Event_P228: procedure(args: event_args_s);cdecl;
var ocsb_Event_Awp: procedure(args: event_args_s);cdecl;
var ocsb_Event_Scout: procedure(args: event_args_s);cdecl;
var ocsb_Event_Sg552: procedure(args: event_args_s);cdecl;
var ocsb_Event_Tmp: procedure(args: event_args_s);cdecl;
var ocsb_Event_Fiveseven: procedure(args: event_args_s);cdecl;
var ocsb_Event_Ump45: procedure(args: event_args_s);cdecl;
var ocsb_Event_Xm1014: procedure(args: event_args_s);cdecl;
var ocsb_Event_Knife: procedure(args: event_args_s);cdecl;

var ocsb_Event_glock1: procedure(args: event_args_s);cdecl;
var ocsb_Event_glock2: procedure(args: event_args_s);cdecl;
var ocsb_Event_shotgun1: procedure(args: event_args_s);cdecl;
var ocsb_Event_shotgun2: procedure(args: event_args_s);cdecl;
var ocsb_Event_mp52: procedure(args: event_args_s);cdecl;
var ocsb_Event_python: procedure(args: event_args_s);cdecl;
var ocsb_Event_gauss: procedure(args: event_args_s);cdecl;
var ocsb_Event_gaussspin: procedure(args: event_args_s);cdecl;
var ocsb_Event_crowbar: procedure(args: event_args_s);cdecl;
var ocsb_Event_crossbow1: procedure(args: event_args_s);cdecl;
var ocsb_Event_crossbow2: procedure(args: event_args_s);cdecl;
var ocsb_Event_rpg: procedure(args: event_args_s);cdecl;
var ocsb_Event_egon_fire: procedure(args: event_args_s);cdecl;
var ocsb_Event_egon_stop: procedure(args: event_args_s);cdecl;
var ocsb_Event_firehornet: procedure(args: event_args_s);cdecl;
var ocsb_Event_tripfire: procedure(args: event_args_s);cdecl;
var ocsb_Event_snarkfire: procedure(args: event_args_s);cdecl;

var ocsb_Event_colt: procedure(args: event_args_s);cdecl;
var ocsb_Event_luger: procedure(args: event_args_s);cdecl;
var ocsb_Event_m1carbine: procedure(args: event_args_s);cdecl;
var ocsb_Event_garand: procedure(args: event_args_s);cdecl;
var ocsb_Event_scopedkar: procedure(args: event_args_s);cdecl;
var ocsb_Event_thompson: procedure(args: event_args_s);cdecl;
var ocsb_Event_mp44: procedure(args: event_args_s);cdecl;
var ocsb_Event_spring: procedure(args: event_args_s);cdecl;
var ocsb_Event_kar: procedure(args: event_args_s);cdecl;
var ocsb_Event_mp40: procedure(args: event_args_s);cdecl;
var ocsb_Event_bar: procedure(args: event_args_s);cdecl;
var ocsb_Event_mg42: procedure(args: event_args_s);cdecl;
var ocsb_Event_mg34: procedure(args: event_args_s);cdecl;
var ocsb_Event_30cal: procedure(args: event_args_s);cdecl;
var ocsb_Event_greasegun: procedure(args: event_args_s);cdecl;
var ocsb_Event_fg42: procedure(args: event_args_s);cdecl;
var ocsb_Event_k43: procedure(args: event_args_s);cdecl;
//====================================================================


//====================================================================
procedure csb_HookEvent(name: PChar; pfnEvent: event_args_s);cdecl;
//====================================================================

implementation

//====================================================================
procedure csb_Event_Usp(args: event_args_s);cdecl;
begin

  ocsb_Event_Usp(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Galil(args: event_args_s);cdecl;
begin

  ocsb_Event_Galil(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Mp5(args: event_args_s);cdecl;
begin

  ocsb_Event_Mp5(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Ak47(args: event_args_s);cdecl;
begin

  ocsb_Event_Ak47(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Aug(args: event_args_s);cdecl;
begin

  ocsb_Event_Aug(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Deagle(args: event_args_s);cdecl;
begin

  ocsb_Event_Deagle(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_G3sg1(args: event_args_s);cdecl;
begin

  ocsb_Event_G3sg1(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Sg550(args: event_args_s);cdecl;
begin

  ocsb_Event_Sg550(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Glock18(args: event_args_s);cdecl;
begin

  ocsb_Event_Glock18(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_M249(args: event_args_s);cdecl;
begin

  ocsb_Event_M249(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_M3(args: event_args_s);cdecl;
begin

  ocsb_Event_M3(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_M4a1(args: event_args_s);cdecl;
begin

  ocsb_Event_M4a1(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Mac10(args: event_args_s);cdecl;
begin

  ocsb_Event_Mac10(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_P90(args: event_args_s);cdecl;
begin

  ocsb_Event_P90(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_P228(args: event_args_s);cdecl;
begin

  ocsb_Event_P228(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Awp(args: event_args_s);cdecl;
begin

  ocsb_Event_Awp(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Scout(args: event_args_s);cdecl;
begin

  ocsb_Event_Scout(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Sg552(args: event_args_s);cdecl;
begin

  ocsb_Event_Sg552(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Tmp(args: event_args_s);cdecl;
begin

  ocsb_Event_Tmp(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Fiveseven(args: event_args_s);cdecl;
begin

  ocsb_Event_Fiveseven(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Ump45(args: event_args_s);cdecl;
begin

  ocsb_Event_Ump45(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Xm1014(args: event_args_s);cdecl;
begin

  ocsb_Event_Xm1014(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_Knife(args: event_args_s);cdecl;
begin

  ocsb_Event_Knife(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_glock1(args: event_args_s);cdecl;
begin

  ocsb_Event_glock1(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_glock2(args: event_args_s);cdecl;
begin

  ocsb_Event_glock2(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_shotgun1(args: event_args_s);cdecl;
begin

  ocsb_Event_shotgun1(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_shotgun2(args: event_args_s);cdecl;
begin

  ocsb_Event_shotgun2(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_mp52(args: event_args_s);cdecl;
begin

  ocsb_Event_mp52(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_python(args: event_args_s);cdecl;
begin

  ocsb_Event_python(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_gauss(args: event_args_s);cdecl;
begin

  ocsb_Event_gauss(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_gaussspin(args: event_args_s);cdecl;
begin

  ocsb_Event_gaussspin(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_crowbar(args: event_args_s);cdecl;
begin

  ocsb_Event_crowbar(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_crossbow1(args: event_args_s);cdecl;
begin

  ocsb_Event_crossbow1(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_crossbow2(args: event_args_s);cdecl;
begin

  ocsb_Event_crossbow2(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_rpg(args: event_args_s);cdecl;
begin

  ocsb_Event_rpg(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_egon_fire(args: event_args_s);cdecl;
begin

  ocsb_Event_egon_fire(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_egon_stop(args: event_args_s);cdecl;
begin

  ocsb_Event_egon_stop(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_firehornet(args: event_args_s);cdecl;
begin

  ocsb_Event_firehornet(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_tripfire(args: event_args_s);cdecl;
begin

  ocsb_Event_tripfire(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_snarkfire(args: event_args_s);cdecl;
begin

  ocsb_Event_snarkfire(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_colt(args: event_args_s);cdecl;
begin

  ocsb_Event_colt(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_luger(args: event_args_s);cdecl;
begin

  ocsb_Event_luger(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_m1carbine(args: event_args_s);cdecl;
begin

  ocsb_Event_m1carbine(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_garand(args: event_args_s);cdecl;
begin

  ocsb_Event_garand(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_scopedkar(args: event_args_s);cdecl;
begin

  ocsb_Event_scopedkar(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_thompson(args: event_args_s);cdecl;
begin

  ocsb_Event_thompson(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_mp44(args: event_args_s);cdecl;
begin

  ocsb_Event_mp44(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_spring(args: event_args_s);cdecl;
begin

  ocsb_Event_spring(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_kar(args: event_args_s);cdecl;
begin

  ocsb_Event_kar(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_mp40(args: event_args_s);cdecl;
begin

  ocsb_Event_mp40(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_bar(args: event_args_s);cdecl;
begin

  ocsb_Event_bar(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_mg42(args: event_args_s);cdecl;
begin

  ocsb_Event_mg42(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_mg34(args: event_args_s);cdecl;
begin

  ocsb_Event_mg34(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_30cal(args: event_args_s);cdecl;
begin

  ocsb_Event_30cal(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_greasegun(args: event_args_s);cdecl;
begin

  ocsb_Event_greasegun(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_fg42(args: event_args_s);cdecl;
begin

  ocsb_Event_fg42(args);
end;
//====================================================================


//====================================================================
procedure csb_Event_k43(args: event_args_s);cdecl;
begin

  ocsb_Event_k43(args);
end;
//====================================================================


//====================================================================
procedure csb_HookEvent(name: PChar; pfnEvent: event_args_s);cdecl;
begin
  if lstrcmpi(name, 'events/usp.sc') = 0 then
  begin
    ocsb_Event_Usp := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Usp);
    exit;
  end;
  if lstrcmpi(name, 'events/galil.sc') = 0 then 
  begin
    ocsb_Event_Galil := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Galil);
    exit;
  end;
  if lstrcmpi(name, 'events/mp5.sc') = 0 then
  begin
    ocsb_Event_Mp5 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Mp5);
    exit;
  end;
  if lstrcmpi(name, 'events/ak47.sc') = 0 then 
  begin
    ocsb_Event_Ak47 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Ak47);
    exit;
  end;
  if lstrcmpi(name, 'events/aug.sc') = 0 then
  begin
    ocsb_Event_Aug:= @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Aug);
    exit; 
  end;
  if lstrcmpi(name, 'events/deagle.sc') = 0 then 
  begin
    ocsb_Event_Deagle := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Deagle);
    exit;
  end;
  if lstrcmpi(name, 'events/g3sg1.sc') = 0 then 
  begin
    ocsb_Event_G3sg1 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_G3sg1);
    exit;
  end;
  if lstrcmpi(name, 'events/sg550.sc') = 0 then
  begin
    ocsb_Event_Sg550 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Sg550);
    exit;
  end;
  if lstrcmpi(name, 'events/glock18.sc') = 0 then
  begin
    ocsb_Event_Glock18 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Glock18);
    exit;
  end;
  if lstrcmpi(name, 'events/m249.sc') = 0 then
  begin
    ocsb_Event_M249 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_M249);
    exit;
  end;
  if lstrcmpi(name, 'events/m3.sc') = 0 then
  begin
    ocsb_Event_M3 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_M3);
    exit;
  end;
  if lstrcmpi(name, 'events/m4a1.sc') = 0 then
  begin
    ocsb_Event_M4a1 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_M4a1);
    exit;
  end;
  if lstrcmpi(name, 'events/mac10.sc') = 0 then
  begin
    ocsb_Event_Mac10 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Mac10);
    exit;
  end;
  if lstrcmpi(name, 'events/p90.sc') = 0 then
  begin
    ocsb_Event_P90 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_P90);
    exit;
  end;
  if lstrcmpi(name, 'events/p228.sc') = 0 then
  begin
    ocsb_Event_P228 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_P228);
    exit;
  end;
  if lstrcmpi(name, 'events/awp.sc') = 0 then
  begin
    ocsb_Event_Awp := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Awp);
    exit;
  end;
  if lstrcmpi(name, 'events/scout.sc') = 0 then
  begin
    ocsb_Event_Scout := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Scout);
    exit;
  end;
  if lstrcmpi(name, 'events/sg552.sc') = 0 then
  begin
    ocsb_Event_Sg552 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Sg552);
    exit;
  end;
  if lstrcmpi(name, 'events/tmp.sc') = 0 then
  begin
    ocsb_Event_Tmp := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Tmp);
    exit;
  end;
  if lstrcmpi(name, 'events/fiveseven.sc') = 0 then
  begin
    ocsb_Event_Fiveseven := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Fiveseven);
    exit;
  end;
  if lstrcmpi(name, 'events/ump45.sc') = 0 then
  begin
    ocsb_Event_Ump45 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Ump45);
    exit;
  end;
  if lstrcmpi(name, 'events/xm1014.sc') = 0 then
  begin
    ocsb_Event_Xm1014 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Xm1014);
    exit;
  end;
  if lstrcmpi(name, 'events/knife.sc') = 0 then
  begin
    ocsb_Event_Knife := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_Knife);
    exit;
  end;

  if lstrcmpi(name, 'events/glock1.sc') = 0 then
  begin
    ocsb_Event_glock1 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_glock1);
    exit;
  end;
  if lstrcmpi(name, 'events/glock2.sc') = 0 then
  begin
    ocsb_Event_glock2 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_glock2);
    exit;
  end;
  if lstrcmpi(name, 'events/shotgun1.sc') = 0 then
  begin
    ocsb_Event_shotgun1 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_shotgun1);
    exit;
  end;
  if lstrcmpi(name, 'events/shotgun2.sc') = 0 then
  begin
    ocsb_Event_shotgun2 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_shotgun2);
    exit;
  end;
  if lstrcmpi(name, 'events/mp52.sc') = 0 then
  begin
    ocsb_Event_mp52 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_mp52);
    exit;
  end;
  if lstrcmpi(name, 'events/python.sc') = 0 then
  begin
    ocsb_Event_python := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_python);
    exit;
  end;
  if lstrcmpi(name, 'events/gauss.sc') = 0 then
  begin
    ocsb_Event_gauss := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_gauss);
    exit;
  end;
  if lstrcmpi(name, 'events/gaussspin.sc') = 0 then
  begin
    ocsb_Event_gaussspin := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_gaussspin);
    exit;
  end;
  if lstrcmpi(name, 'events/crowbar.sc') = 0 then
  begin
    ocsb_Event_crowbar := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_crowbar);
    exit;
  end;
  if lstrcmpi(name, 'events/crossbow1.sc') = 0 then
  begin
    ocsb_Event_crossbow1 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_crossbow1);
    exit;
  end;
  if lstrcmpi(name, 'events/crossbow2.sc') = 0 then
  begin
    ocsb_Event_crossbow2 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_crossbow2);
    exit;
  end;
  if lstrcmpi(name, 'events/rpg.sc') = 0 then
  begin
    ocsb_Event_rpg := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_rpg);
    exit;
  end;
  if lstrcmpi(name, 'events/egon_fire.sc') = 0 then
  begin
    ocsb_Event_egon_fire := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_egon_fire);
    exit;
  end;
  if lstrcmpi(name, 'events/egon_stop.sc') = 0 then
  begin
    ocsb_Event_egon_stop := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_egon_stop);
    exit;
  end;
  if lstrcmpi(name, 'events/firehornet.sc') = 0 then
  begin
    ocsb_Event_firehornet := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_firehornet);
    exit;
  end;
  if lstrcmpi(name, 'events/tripfire.sc') = 0 then
  begin
    ocsb_Event_tripfire := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_tripfire);
    exit;
  end;
  if lstrcmpi(name, 'events/snarkfire.sc') = 0 then
  begin
    ocsb_Event_snarkfire := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_snarkfire);
    exit;
  end;

  if lstrcmpi(name, 'events/weapons/colt.sc') = 0 then
  begin
    ocsb_Event_colt := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_colt);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/luger.sc') = 0 then
  begin
    ocsb_Event_luger := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_luger);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/m1carbine.sc') = 0 then
  begin
    ocsb_Event_m1carbine := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_m1carbine);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/garand.sc') = 0 then
  begin
    ocsb_Event_garand := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_garand);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/scopedkar.sc') = 0 then
  begin
    ocsb_Event_scopedkar := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_scopedkar);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/thompson.sc') = 0 then
  begin
    ocsb_Event_thompson := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_thompson);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/mp44.sc') = 0 then
  begin
    ocsb_Event_mp44 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_mp44);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/spring.sc') = 0 then
  begin
    ocsb_Event_spring := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_spring);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/kar.sc') = 0 then
  begin
    ocsb_Event_kar := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_kar);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/mp40.sc') = 0 then
  begin
    ocsb_Event_mp40 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_mp40);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/bar.sc') = 0 then
  begin
    ocsb_Event_bar := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_bar);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/mg42.sc') = 0 then
  begin
    ocsb_Event_mg42 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_mg42);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/mg34.sc') = 0 then
  begin
    ocsb_Event_mg34 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_mg34);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/30cal.sc') = 0 then
  begin
    ocsb_Event_30cal := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_30cal);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/greasegun.sc') = 0 then
  begin
    ocsb_Event_greasegun := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_greasegun);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/fg42.sc') = 0 then
  begin
    ocsb_Event_fg42 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_fg42);
    exit;
  end;
  if lstrcmpi(name, 'events/weapons/k43.sc') = 0 then
  begin
    ocsb_Event_k43 := @pfnEvent^;
    ocsb_HookEvent(name, @csb_Event_k43);
    exit;
  end;

  ocsb_HookEvent(name, pfnEvent);
end;
//====================================================================

end.