unit csUsermsg;

{
  CzySkored-Base coded by sk0r / Czybik

  Features:
    - OpenGL
    - Exporttable
    - Usermsg
    - Events
    - Enginefuncs
    - PreS_DynamicSound
    - Log Class
    - Ini Class
    - Menu Class
    - Useful routines
    
  File: csUsermsg.pas
  Description: Usermsg hooks

  Be sure to read the Readme.txt for more information
}

interface

//====================================================================
uses
  SysUtils,
  Windows,
  csUtilities,
  csVars,
  uEngFuncs;
//====================================================================


//====================================================================
var ocsb_UserMsgHook: function(szMsgName: PChar; pfn: pfnUserMsgHook):Integer;cdecl;
var ocsb_UMsg_ResetHUD: pfnUserMsgHook;
var ocsb_UMsg_Textmsg: pfnUserMsgHook;
var ocsb_UMsg_Health: pfnUserMsgHook;
var ocsb_UMsg_DeathMsg: pfnUserMsgHook;
var ocsb_UMsg_Damage: pfnUserMsgHook;
var ocsb_UMsg_WeaponList: pfnUserMsgHook;
var ocsb_UMsg_SetFOV: pfnUserMsgHook;
var ocsb_UMsg_TeamInfo: pfnUserMsgHook;
var ocsb_UMsg_Logo: pfnUserMsgHook;
var ocsb_UMsg_InitHUD: pfnUserMsgHook;
var ocsb_UMsg_VGUIMenu: pfnUserMsgHook;
var ocsb_UMsg_MOTD: pfnUserMsgHook;
var ocsb_UMsg_ServerName: pfnUserMsgHook;
var ocsb_UMsg_ScoreInfo: pfnUserMsgHook;
var ocsb_UMsg_TeamScore: pfnUserMsgHook;
//====================================================================


//====================================================================
function csb_HookUserMsg(szMsgName: PChar; ppfn: pfnUserMsgHook):Integer;cdecl;
//====================================================================

implementation

//====================================================================
function csb_UMsg_ResetHUD(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin
  pEngFuncs.pfnClientCmd('say CzySkored-Base coded by sk0r / Czybik');

  result := ocsb_UMsg_ResetHUD(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_TextMsg(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_TextMsg(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_Health(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_Health(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_DeathMsg(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_DeathMsg(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_Damage(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_Damage(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_WeaponList(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_WeaponList(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_SetFOV(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_SetFOV(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_TeamInfo(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
var
  g: Byte;
  pTeam: PChar;
begin
  g := Byte(pBuf^);
  pTeam := PChar(Cardinal(pBuf)+1);

  if (lpCurrentGame = 'cstrike') or (lpCurrentGame = 'czero') then
  begin
    if Pos('CT', pTeam) <> 0 then
      gPlayer[g].team := tCounter
    else if Pos('TERRORIST', pTeam) <> 0 then
      gPlayer[g].team := tTerror
    else
      gPlayer[g].team := tSpec;
  end;

  if lpCurrentGame = 'tfc' then
  begin
    if Pos('Blue', pTeam) <> 0 then
      gPlayer[g].team := tBlue
    else if Pos('Red', pTeam) <> 0 then
      gPlayer[g].team := tRed
    else
      gPlayer[g].team := tSpec;
  end;
    
  result := ocsb_UMsg_TeamInfo(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_Logo(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_Logo(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_InitHUD(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_InitHUD(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_VGUIMenu(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_VGUIMenu(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_MOTD(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_MOTD(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_ServerName(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_ServerName(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_ScoreInfo(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_ScoreInfo(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_UMsg_TeamScore(const pszName: PChar; iSize: Integer; pBuf: Pointer):Integer;cdecl;
begin

  result := ocsb_UMsg_TeamScore(pszName, iSize, pBuf);
end;
//====================================================================


//====================================================================
function csb_HookUserMsg(szMsgName: PChar; ppfn: pfnUserMsgHook):Integer;cdecl;
begin
  if lstrcmpi(szMsgName, 'ResetHUD') = 0 then
  begin
    ocsb_UMsg_ResetHUD := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_ResetHUD);
    exit;
  end;
  if lstrcmpi(szMsgName, 'Textmsg') = 0 then 
  begin
    ocsb_UMsg_Textmsg := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_Textmsg);
    exit;
  end;
  if lstrcmpi(szMsgName, 'Health') = 0 then
  begin
    ocsb_UMsg_Health := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_Health);
    exit;
  end;
  if lstrcmpi(szMsgName, 'DeathMsg') = 0 then
  begin
    ocsb_UMsg_DeathMsg := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_DeathMsg);
    exit;
  end;
  if lstrcmpi(szMsgName, 'Damage') = 0 then 
  begin
    ocsb_UMsg_Damage := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_Damage);
    exit;
  end;
  if lstrcmpi(szMsgName, 'WeaponList') = 0 then
  begin
    ocsb_UMsg_WeaponList := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_WeaponList);
    exit;
  end;
  if lstrcmpi(szMsgName, 'SetFOV') = 0 then 
  begin
    ocsb_UMsg_SetFOV := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_SetFOV);
    exit;
  end;
  if lstrcmpi(szMsgName, 'TeamInfo') = 0 then
  begin
    ocsb_UMsg_TeamInfo := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_TeamInfo);
    exit;
  end;
  if lstrcmpi(szMsgName, 'Logo') = 0 then
  begin
    ocsb_UMsg_Logo := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_Logo);
    exit;
  end;
  if lstrcmpi(szMsgName, 'InitHUD') = 0 then
  begin
    ocsb_UMsg_InitHUD := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_InitHUD);
    exit;
  end;
  if lstrcmpi(szMsgName, 'VGUIMenu') = 0 then
  begin
    ocsb_UMsg_VGUIMenu := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_VGUIMenu);
    exit;
  end;
  if lstrcmpi(szMsgName, 'MOTD') = 0 then
  begin
    ocsb_UMsg_MOTD := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_MOTD);
    exit;
  end;
  if lstrcmpi(szMsgName, 'ServerName') = 0 then
  begin
    ocsb_UMsg_ServerName := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_ServerName);
    exit;
  end;
  if lstrcmpi(szMsgName, 'ScoreInfo') = 0 then
  begin
    ocsb_UMsg_ScoreInfo := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_ScoreInfo);
    exit;
  end;
  if lstrcmpi(szMsgName, 'TeamScore') = 0 then
  begin
    ocsb_UMsg_TeamScore := ppfn;
    result := ocsb_UserMsgHook(szMsgName, @csb_UMsg_TeamScore);
    exit;
  end;

  result := ocsb_UserMsgHook(szMsgName, ppfn);
end;
//====================================================================

end.