unit csVars;

{
  CzySkored-Base coded by sk0r / Czybik

  Features:
    - OpenGL
    - Exporttable
    - Usermsg
    - Events
    - Enginefuncs
    - PreS_DynamicSound
    - Log Class
    - Ini Class
    - Menu Class
    - Useful routines
    
  File: csVars.pas
  Description: Global constants and variables

  Be sure to read the Readme.txt for more information
}

interface

//====================================================================
uses
  SysUtils,
  csIniClass,
  csLogClass,
  csMenuClass,
  uEngFuncs;
//====================================================================

//====================================================================
type
  TTeam = (tCounter, tTerror, tSpec, tNone, tAllies, tAxis, tBritain, tBlue, tRed);

type
  TPlayerInfo = record
    client_handle: cl_entity_t;
    name: PChar;
    id: Byte;
    team: TTeam;
    bSpectator: Boolean;
    curWeapon: PChar;
    origin: vec3_t;
    sndorigin: vec3_t;
  end;

type
  TCvar = record
    iWallhack: Integer;
    iTeamglow: Integer;
    //Add more cvars here
  end;

var iEngFuncs: Integer;
var iEngStudio: Integer;
var iExportTable: Integer;
var iPreSDynamic: Integer;
var pPreSDynamic: Pointer;
var pEngFuncs: cl_enginefuncs_s;
var origEngFuncs: cl_enginefuncs_s;
var pEngStudio: engine_studio_api_s;
var oldExportTable: ExportTable_s;
var newExportTable: ExportTable_s;
var gCvar: TCvar;
var gLog: TLog;
var gIni: TIniSet;
var gBorder: TMenuColor;
var gHeadline: TMenuColor;
var gBody: TMenuColor;
var gMenu: TCzyMenu;
var gPlayer: array[0..32] of TPlayerInfo;
var lpSelfFileName: array[0..250] of Char;
var lpModulePath: String;
var lpIniFile: String;
var bDrawMenu: Boolean = false;
var iMenuKey: Integer;
var lpCurrentGame: String;
var iCenterX: Integer;
var iCenterY: Integer;
//====================================================================

implementation

//====================================================================

end.